{
  "name": "frontend",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@ant-design/icons": "4.7.0",
    "@reduxjs/toolkit": "1.8.6",
    "antd": "4.23.6",
    "axios": "1.1.3",
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "react-redux": "8.0.4",
    "react-router-dom": "6.4.2",
    "react-scripts": "5.0.1",
    "typescript": "4.8.4",
    "web-vitals": "2.1.4"
  },
  "devDependencies": {
    "@testing-library/jest-dom": "5.16.5",
    "@testing-library/react": "13.4.0",
    "@testing-library/user-event": "13.5.0",
    "@types/jest": "27.5.2",
    "@types/node": "16.18.1",
    "@types/react": "18.0.23",
    "@types/react-dom": "18.0.7",
    "@types/react-highlight-words": "^0.16.4",
    "@types/react-redux": "7.1.24",
    "concurrently": "7.5.0",
    "husky": "8.0.1",
    "nodemon": "2.0.20"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "dev": "nodemon --watch ./index.tsx",
    "lint": "../node_modules/.bin/eslint 'src/**/*.{js,ts,tsx}'",
    "watch": "npm i && concurrently -k npm:dev"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
